Description

The installation procedure does not finish with success and a screen with (not answering) remains. If | force and close the procedure,
then gvSIG can be launched from Program menu but two inane warnings always appear. The window with "read me" ; "creat
shortcut"....never appears.

Associated revisions

Revision 41717 - 09/18/2014 08:08 AM - Joaquin del Cerro Murciano

Modificaciones encaminadas a corregir el cierre del administrador de complementos durante el proceso de instalacion. refs #2678

Revision 41718 - 09/18/2014 08:09 AM - Joaquin del Cerro Murciano

Mas modificaciones encaminadas a corregir el cierre del administrador de complementos durante el proceso de instalacion. refs #2678

Revision 41740 - 10/01/2014 05:58 AM - Joaquin del Cerro Murciano

Modificado el generador del instalador para windows para que empaquete una java 1.7 en lugar de la 1.6. refs #2678

History

#1 - 07/16/2014 06:42 AM - Antonio Falciano
In reference to the "inane warnings" issue, it looks similar to #2274. It happens in the gvSIG\extensiones\org.gvsig.geoprocess.app.mainplugin folder:
some SEXTANTE subfolders (grass, r, saga) are not available by default after the install, but they are created at the first start if you have admin

privilege. It happens to you, because your install is not gone succesfully and then you have executed gvSIG the first time without writing permission. If
you execute gvSIG with admin privilege, at least this issue will vanish. ;)

#2 - 07/16/2014 11:23 AM - Alvaro Anguix
- Status changed from New to Won't fix

Como comenta Antonio es una condicion que exigen algunas versiones de Windows, que se debe instalar gvSIG como administrador. También
ocurre, por ejemplo, si queremos instalar complementos desde el Administrador gue-debemes-ejeeutargvSiG-comeo-administrader o de lo contrario no
tendremos los permisos para realizar correctamente la instalacion.

Lo paso a won't fix

#3 - 07/18/2014 05:59 AM - Giuliano Ramat
- Target version set to 2.1.0-2259-rc3

- Assignee set to Alvaro Anguix

- Status changed from Won't fix to New

He descargado la version 2237, intendandola instalar como administrador despues de haber desinstalado todo lo que habia antes (la 2235). Sigue el
problema que no termina la instalacion y debo cerrar el setup (ventana "sin respuesta”). S.O. Windows 8.1

#4 - 07/23/2014 06:00 PM - Alvaro Anguix

- Assignee changed from Alvaro Anguix to Joaquin del Cerro Murciano

#5 - 08/27/2014 04:04 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.2.0-2311-rc2

#6 - 09/15/2014 06:11 AM - Alvaro Anguix
- gvSIG build changed from 2235 to 2246
- Category set to Installer

Lo que ocurre es que realiza bien la instalacién pero no permite cerrar el instalador.
En el Gltimo paso, instala todos los paquetes pero no se activa el botdn de "Terminar", por lo que aunque gvSIG esta bien instalado hay que utilizar

"ctrl+alt+supr" para matar la instalacion.
#7 - 09/15/2014 06:24 AM - Alvaro Anguix
Modifico mi anterior comentario. Replicandolo a Manuel no le ha dado el problema y a Oscar si, pero la que se queda colgada es la ventana con la

informacién de los distintos tipos de instalacion. Si se le activa el botédn de Terminar y se le cierra la ventana de instalacién, pero la anterior ventana

no (de hecho se le cuelga una vez se abre la de instalacion).

#8 - 09/15/2014 06:37 AM - Alvaro Anguix
- File error.png added

Comprobando con Giuliano, se bloquea en el mismo punto. Adjunto captura de la ventana que se bloquea (error.png)

#9 - 09/17/2014 04:04 AM - Joaquin del Cerro Murciano
- File gvSIG-instalation.log added

#10 - 09/18/2014 11:17 AM - Joaquin del Cerro Murciano

- Target version changed from 2.2.0-2311-rc2 to 2.1.0-2247-testing
- Status changed from New to Fixed
Lo marco como corregido pero sin mucho convencimiento ya que no tengo claro que los cambios introducidos terminen de solucionar el problema.

#11 - 09/23/2014 04:18 AM - Alvaro Anguix

- gvSIG build changed from 2246 to 2247

- Target version changed from 2.1.0-2247-testing to 2.1.0-2259-rc3
- Status changed from Fixed to New

Sigue sucediendo.
El problema del bloqueo parece que se da al abrirse la nueva ventana del Admin. de Complementos.

#12 - 10/01/2014 04:38 AM - Joaquin del Cerro Murciano

Holas,

buscando por internet he encontrado

http://social.technet.microsoft.com/Forums/windows/en-US/91b61190-aa0f-4643-9951-4d8316351c13/a-java-desktop-application-tombstones-on-exit

forum=w8itprogeneral

En donde comenta que hay un problema con Windows 8.1 y aplicaciones java al ejecutar "System.exit",

que es justo lo que nos esta pasando.

Y como dice ahi, pasa con java 1.6, que es la que estamos usando, y ya no pasa con java 1.7.
Probablemente tambien tiene algo que ver como el launch4j que estamos usando lanza la aplicacion

java.
De momento intentare actualizar la version de java que lleva gvSIG en windows a la 1.7 a ver

si la cosa mejora, y si puedo tambien actualizare la version del launch4j a una mas nueva.

#13 - 10/06/2014 11:11 AM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2248-testing

- Status changed from New to Fixed

#14 - 10/08/2014 04:21 AM - Antonio Falciano
- Status changed from Fixed to Closed

Tried again with Giuliano and the install process seems to work fine now, thanks.
